Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class AddCommentCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>
          org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Long>
              org.jbpm.services.task.commands.AddCommentCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Long>, Command<Long>

    public class AddCommentCommand

extends UserGroupCallbackTaskCommand<Long>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, userId`

Constructor Summary
`AddCommentCommand()`
`AddCommentCommand(Long taskId, Comment comment)`

Method Summary
`Long` | `execute(org.kie.internal.command.Context cntxt)`
`Comment` | `getComment()`
`JaxbComment` | `getJaxbComment()`
`Long` | `getTaskId()`
`void` | `setComment(Comment comment)`
`void` | `setJaxbComment(JaxbComment jaxbComment)`
`void` | `setTaskId(Long taskId)`

Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand
`addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getUserId, setGroupsIds, setTargetEntityId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddCommentCommand

    public AddCommentCommand()

### AddCommentCommand

    public AddCommentCommand(Long taskId,
                             Comment comment)

Method Detail

### execute

    public Long execute(org.kie.internal.command.Context cntxt)

  Specified by:
    `execute` in interface `org.drools.core.command.impl.GenericCommand<Long>`
  Overrides:
    `execute` in class `UserGroupCallbackTaskCommand<Long>`

### getTaskId

    public Long getTaskId()

  Overrides:
    `getTaskId` in class `TaskCommand<Long>`

### setTaskId

    public void setTaskId(Long taskId)

  Overrides:
    `setTaskId` in class `TaskCommand<Long>`

### getComment

    public Comment getComment()

### setComment

    public void setComment(Comment comment)

### getJaxbComment

    public JaxbComment getJaxbComment()

### setJaxbComment

    public void setJaxbComment(JaxbComment jaxbComment)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.